| Bsoft 2.0.5 Bernard's software package

Public Attributes | List of all members
Bcomponent Struct Reference

`#include <rwmodel.h>`

## Public Attributes
Bcomponent * | next
Bstring | id
Bcomptype * | type
Bcomponent * | link [MAXLINK]
Bcomponent * | neighbor [MAXLINK]
int | flag [MAXLINK]
Vector3< float > | loc
View | view
Vector3< float > | vec
Vector3< float > | vel
float | radius
RGBA< float > | color
float | density
float | fom
int | sel

## Detailed Description

Definition at line 51 of file rwmodel.h.

## Member Data Documentation

## ◆ color

RGBA<float> Bcomponent::color

Definition at line 63 of file rwmodel.h.

## ◆ density

float Bcomponent::density

Definition at line 64 of file rwmodel.h.

## ◆ flag

int Bcomponent::flag[MAXLINK]

Definition at line 57 of file rwmodel.h.

## ◆ fom

float Bcomponent::fom

Definition at line 65 of file rwmodel.h.

## ◆ id

Bstring Bcomponent::id

Definition at line 53 of file rwmodel.h.

## ◆ link

Bcomponent* Bcomponent::link[MAXLINK]

Definition at line 55 of file rwmodel.h.

## ◆ loc

Vector3<float> Bcomponent::loc

Definition at line 58 of file rwmodel.h.

## ◆ neighbor

Bcomponent* Bcomponent::neighbor[MAXLINK]

Definition at line 56 of file rwmodel.h.

## ◆ next

Bcomponent* Bcomponent::next

Definition at line 52 of file rwmodel.h.

## ◆ radius

float Bcomponent::radius

Definition at line 62 of file rwmodel.h.

## ◆ sel

int Bcomponent::sel

Definition at line 66 of file rwmodel.h.

## ◆ type

Bcomptype* Bcomponent::type

Definition at line 54 of file rwmodel.h.

## ◆ vec

Vector3<float> Bcomponent::vec

Definition at line 60 of file rwmodel.h.

## ◆ vel

Vector3<float> Bcomponent::vel

Definition at line 61 of file rwmodel.h.

## ◆ view

View Bcomponent::view

Definition at line 59 of file rwmodel.h.

The documentation for this struct was generated from the following file:

- /Users/bernard/b20/bsoft/include/rwmodel.h